import _extends from "@babel/runtime/helpers/esm/extends";
import _objectWithoutPropertiesLoose from "@babel/runtime/helpers/esm/objectWithoutPropertiesLoose";
import React from 'react';
import { useBootstrapPrefix, useClassNameMapper } from './ThemeProvider';
var PopoverContent = React.forwardRef(function (_ref, ref) {
  var _ref$as = _ref.as,
      Component = _ref$as === void 0 ? 'div' : _ref$as,
      bsPrefix = _ref.bsPrefix,
      className = _ref.className,
      children = _ref.children,
      classNameMap = _ref.classNameMap,
      props = _objectWithoutPropertiesLoose(_ref, ["as", "bsPrefix", "className", "children", "classNameMap"]);

  bsPrefix = useBootstrapPrefix(bsPrefix, 'popover-body');
  var classNames = useClassNameMapper(classNameMap);
  return React.createElement(Component, _extends({
    ref: ref
  }, props, {
    className: classNames(className, bsPrefix)
  }), children);
});
export default PopoverContent;